# __gnu_cxx::__mt_alloc< Type > Class Template Reference

`#include <mt_allocator.h>`

List of all members.

## Detailed Description

### template<typename Type>
class __gnu_cxx::__mt_alloc< Type >

This is a fixed size (power of 2) allocator which - when compiled with thread support - will maintain one freelist per size per thread plus a "global" one. Steps are taken to limit the per thread freelist sizes (by returning excess back to "global").

Further details: http://gcc.gnu.org/onlinedocs/libstdc++/ext/mt_allocator.html

Definition at line 57 of file mt_allocator.h.

The documentation for this class was generated from the following file:

- mt_allocator.h